// Copyright 2021 Franziska (@kunsi)
// SPDX-License-Identifier: GPL-2.0-or-later

#include QMK_KEYBOARD_H

// Defines names for use in layer keycodes and the keymap
enum layer_names {
    _BASE,
    _FN
};

const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {
    /* Base */
    [_BASE] = LAYOUT(
        KC_VOLU,  KC_NO,   KC_VOLD,     KC_ESCAPE, KC_1,      KC_2,    KC_3,  KC_4,     KC_5, KC_6,           KC_7,  KC_8,      KC_9,  KC_0,    KC_NO,    KC_NO,     KC_BSPACE,  KC_INSERT, KC_HOME, KC_PGUP,
        KC_MPRV,  KC_MPLY, KC_MNXT,     KC_TAB,    KC_Q,      KC_W,    KC_E,  KC_R,     KC_T,          KC_Y,  KC_U,  KC_I,      KC_O,  KC_P,    KC_NO,    KC_NO,     KC_ENTER,   KC_DELETE, KC_END,  KC_PGDOWN,
                                        KC_CAPS,   KC_A,      KC_S,    KC_D,  KC_F,     KC_G,          KC_H,  KC_J,  KC_K,      KC_L,  KC_NO,   KC_NO,    KC_NO,
                  KC_UP,                KC_LSHIFT, KC_NO,     KC_Z,    KC_X,  KC_C,     KC_V, KC_B,           KC_N,  KC_M,      KC_NO, KC_NO,   KC_NO,               KC_RSHIFT,             KC_UP,
        KC_LEFT,  KC_DOWN, KC_RIGHT,    KC_LCTRL,  KC_LGUI,   KC_LALT,        KC_SPACE,                              KC_SPACE,         KC_RALT, KC_RGUI,  MO(_FN),   KC_RCTRL,   KC_LEFT,   KC_DOWN, KC_RIGHT
    ),
    [_FN] = LAYOUT(
        KC_NO,    RESET,   KC_NO,       KC_ESCAPE, KC_F1,     KC_F2,   KC_F3, KC_F4,    KC_F5, KC_F6,         KC_F7, KC_F8,     KC_F9, KC_F10,  KC_F11,   KC_F12,   KC_NO,       KC_NO,     KC_NO,   KC_NO,
        KC_NO,    KC_NO,   KC_NO,       KC_NO,     KC_NO,     KC_NO,   KC_NO, KC_NO,    KC_NO,         KC_NO, KC_NO, KC_NO,     KC_NO, KC_NO,   KC_NO,    KC_NO,    KC_NO,       KC_NO,     KC_NO,   KC_NO,
                                        KC_NO,     KC_NO,     KC_NO,   KC_NO, KC_NO,    KC_NO,         KC_NO, KC_NO, KC_NO,     KC_NO, KC_NO,   KC_NO,    KC_NO,
                  KC_NO,                KC_NO,     KC_NO,     KC_NO,   KC_NO, KC_NO,    KC_NO, KC_NO,         KC_NO, KC_NO,     KC_NO, KC_NO,   KC_NO,              KC_NO,                  KC_NO,
        KC_NO,    KC_NO,   KC_NO,       KC_NO,     KC_NO,     KC_NO,          KC_NO,                                 KC_NO,            KC_NO,   KC_NO,    KC_TRNS,  KC_NO,       KC_NO,     KC_NO,   KC_RIGHT
    )
};
